#!/bin/bash

# Pour afficher tous les logs dans un seul less

filename=global.log

# On râle si on n'est pas sur le bon serveur
case `hostname` in
    thot)
    ;;
    *)
        echo -e "\e[0;31mPas sur thot, risque de ne pas marcher.\e[0m"
    ;;
esac

case $1 in
    --filaire)
        path=/var/log/filaire/
    ;;
    --wifi)
        path=/var/log/wifi/
    ;;
    *)
        echo "Préciser --filaire ou --wifi"
        exit 1
esac

maxfile=$(ls ${path} | cut -d "." -f 3 | sort -n | tail -n 1)

(cat ${path}${filename}; for i in $(seq 2 ${maxfile}); do zcat ${path}${filename}.$i.gz; done) | less
